Results 1 to 3 of 3

Thread: rpm installation failed in leap15

  1. #1

    Default rpm installation failed in leap15

    Dear sir:
    I downloaded the "eigen3" packages in
    HTML Code:
    https://software.opensuse.org/package/eigen3
    in rpm format. I installed it with command "zypper install", but it gave me the following error:
    HTML Code:
    sudo zypper install eigen3-3.3.4-lp150.2.5.src.rpm  
    [sudo] password for root:  
    Loading repository data...
    Reading installed packages...
    '_tmpRPMcache_:eigen3=0:3.3.4-lp150.2.5' not found in package names. Trying capabilities.
    No provider of '_tmpRPMcache_:eigen3=0:3.3.4-lp150.2.5' found.
    Resolving package dependencies...
    
    Nothing to do.
    How to resolve this problem.
    Regards

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,374
    Blog Entries
    3

    Default Re: rpm installation failed in leap15

    Create a directory -- may "/my-rpm".

    Add that directory as a repo containing rpm packages. These an option for that with Yast Software Repositories.

    Put your package there. Then it should be found automatically by "zypper" or Yast. And if you later put an updated package there, it should automatically update.
    openSUSE Leap 15.1; KDE Plasma 5;

  3. #3

    Default Re: rpm installation failed in leap15

    Quote Originally Posted by nrickert View Post
    Create a directory -- may "/my-rpm".

    Add that directory as a repo containing rpm packages. These an option for that with Yast Software Repositories.

    Put your package there. Then it should be found automatically by "zypper" or Yast. And if you later put an updated package there, it should automatically update.
    Thank you. I will have a try.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •